Content Library Subscriptions create

Content Library Subscriptions create

Creates a subscription of the published library.

This operation was added in vSphere API 6.7.2.

Returns an authorization error if you do not have all of the privileges described as follows:

  • The resource com.vmware.content.Library referenced by the parameter library requires ContentLibrary.AddSubscription.
Request
URI
POST
https://{api_host}/api/content/library/{library}/subscriptions
COPY
Path Parameters
string
library
Required

Identifier of the published library.

The parameter must be an identifier for the resource type: com.vmware.content.Library.

Header Parameters
string
Client-Token
Optional

A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: b8a2a2e3-2314-43cd-a871-6ede0f429751. This token can be used to guarantee idempotent creation.

If not specified, creation is not idempotent.


Request Body

Specification for the subscription.

Content Library Subscriptions CreateSpec of type(s) application/json
Required

Show optional properties

{
    "subscribed_library": {}
}
{
    "subscribed_library": {
        "target": "string",
        "new_subscribed_library": {
            "name": "string",
            "description": "string",
            "storage_backings": [
                {
                    "type": "string",
                    "datastore_id": "string",
                    "storage_uri": "string"
                }
            ],
            "automatic_sync_enabled": false,
            "on_demand": false
        },
        "subscribed_library": "string",
        "location": "string",
        "vcenter": {
            "hostname": "string",
            "https_port": 0
        },
        "placement": {
            "folder": "string",
            "cluster": "string",
            "resource_pool": "string",
            "host": "string",
            "network": "string"
        }
    }
}
subscribed_library
Required

Specification for the subscribed library to be associated with the subscription.

This property was added in vSphere API 6.7.2.

Authentication
This operation uses the following authentication methods.
Responses
201

Subscription identifier.

The response will be an identifier for the resource type: com.vmware.content.library.Subscriptions.

Returns string of type(s) application/json
Operation doesn't return any data structure

400

Vapi Std Errors AlreadyExists If a subscription of the published library to the specified subscribed library already exists. This is only applicable when subscribedLibrary#subscribedLibrary is specified.

Vapi Std Errors InvalidArgument If Content Library Subscriptions CreateSpec contains invalid arguments.

Vapi Std Errors InvalidElementType If the library specified by library is a subscribed library.

Vapi Std Errors NotAllowedInCurrentState If the library specified by library is not a published library.

Returns Vapi Std Errors Error of type(s) application/json
"Vapi Std Errors Error Object"
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


401

If the user that requested the operation cannot be authenticated.

Returns Vapi Std Errors Unauthenticated of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors Unauthenticated0
"Vapi Std Errors Unauthenticated Object"
string
challenge
Optional

Indicates the authentication challenges applicable to the target API provider. It can be used by a client to discover the correct authentication scheme to use. The exact syntax of the value is defined by the specific provider, the protocol and authentication schemes used.

For example, a provider using REST may adhere to the WWW-Authenticate HTTP header specification, RFC7235, section 4.1. In this case an example challenge value may be: SIGN realm="27da1358-2ba4-11e9-b210-d663bd873d93",sts="http://vcenter/sso?vsphere.local", Basic realm="vCenter"

This property was added in vSphere API 7.0.0.0.

This property is optional because it was added in a newer version than its parent node.


403

If the user that requested the operation is not authorized to perform the operation.

Returns Vapi Std Errors Unauthorized of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors Unauthorized0
"Vapi Std Errors Unauthorized Object"

404

If the library specified by library does not exist.

If the subscribed library specified by subscribedLibrary#subscribedLibrary does not exist at the vCenter instance specified by subscribedLibrary#vcenter.

Returns Vapi Std Errors NotFound of type(s) application/json
This response body class contains all of the following: InlineVapi Std Errors NotFound0
"Vapi Std Errors NotFound Object"

500

Vapi Std Errors Error If the system reports an error while responding to the request.

Vapi Std Errors ResourceInaccessible If the vCenter instance specified by subscribedLibrary#vcenter cannot be contacted or found.

Returns Vapi Std Errors Error of type(s) application/json
"Vapi Std Errors Error Object"
array of object
messages
Required

Stack of one or more localizable messages for human error consumers.

The message at the top of the stack (first in the list) describes the error from the perspective of the operation the client invoked.

Each subsequent message in the stack describes the "cause" of the prior message.

object
data
Optional

Data to facilitate clients responding to the operation reporting a standard error to indicating that it was unable to complete successfully.

Operations may provide data that clients can use when responding to errors. Since the data that clients need may be specific to the context of the operation reporting the error, different operations that report the same error may provide different data in the error. The documentation for each each operation will describe what, if any, data it provides for each error it reports.

The Vapi Std Errors ArgumentLocations, Vapi Std Errors FileLocations, and Vapi Std Errors TransientIndication schemas are intended as possible values for this property. Vapi Std DynamicID may also be useful as a value for this property (although that is not its primary purpose). Some resources may provide their own specific schemas for use as the value of this property when reporting errors from their operations.

Some operations will not set this property when reporting errors.

string
error_type
Required

Discriminator field to help API consumers identify the structure type.

For more information see: Vapi Std Errors Error Type.

This property was added in vSphere API 6.7.2.

Can be missing or null for compatibility with preceding implementations.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"subscribed_library":"{}"}' https://{api_host}/api/content/library/{library}/subscriptions